import { AnnotationLayer } from "./AnnotationLayer";
import { Series } from "./Series";
import { Type } from "igniteui-react-core/ES5/type";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { Pool$1 } from "igniteui-react-core/ES5/Pool$1";
import { List$1 } from "igniteui-react-core/ES5/List$1";
import { DataContext } from "igniteui-react-core/ES5/DataContext";
import { Size } from "igniteui-react-core/ES5/Size";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { PointerTooltip } from "./PointerTooltip";
import { RenderingContext } from "igniteui-react-core/ES5/RenderingContext";
export declare class ItemToolTipLayer extends AnnotationLayer {
    constructor();
    protected bf(): SeriesView;
    ii(a: SeriesView): void;
    protected mq: ItemToolTipLayerView;
    protected get_cm(): boolean;
    readonly cm: boolean;
    mr: Series;
    mu: boolean;
    mt: boolean;
    protected io(a: any, b: string, c: any, d: any): void;
    protected l7(a: Series, b: boolean): void;
    protected lu(a: Series): boolean;
    protected l9(a: Frame, b: SeriesView): void;
    private mz(a);
    private ms(a);
    private m0(a, b, c, d, e);
    private mv(a);
    protected mc(a: Frame, b: SeriesView): void;
    protected c5(): boolean;
    static $$p: string[];
    static $t: Type;
}
export declare class ItemToolTipLayerView extends AnnotationLayerView {
    constructor(a: ItemToolTipLayer);
    protected bz: ItemToolTipLayer;
    b0: Pool$1<any>;
    ap(): void;
    ag(): void;
    protected b2: List$1<PointerTooltip>;
    private b3();
    private b5(a);
    private b7(a);
    private b6(a);
    private _htmlTest;
    protected htmlTest: any;
    b1(a: Series, b: any, c: any, d: DataContext): boolean;
    ca(a: any, b: any, c: DataContext): Size;
    b9(a: any, b: number, c: number, d: number, e: number): void;
    b8(a: any): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
    static $t: Type;
}
